<!DOCTYPE html>
<html>
<head>
	<title>date object</title>
</head>
<body>
	<p id="dateobject"></p>
	<p id="dateobject1"></p>
	<p id="dateobject2"></p>
	<p id="dateobject3"></p>
	<p id="dateobject4"></p>
	<p id="dateobject5"></p>
	<p id="dateobject6"></p>
	<p id="dateobject7"></p>
	<p id="dateobject8"></p>
	<p id="dateobject9"></p>
	<p id="dateobject10"></p>
	<p id="dateobject11"></p>
	




	<script type="text/javascript">
		document.getElementById('dateobject').innerHTML = new Date();
		//to get a millisecond date with reference to jan 1 1970
		document.getElementById('dateobject1').innerHTML = new Date(1481324000000);
		document.getElementById('dateobject2').innerHTML = new Date('12/31/2016');	//mm/dd/yyyy format
		document.getElementById('dateobject3').innerHTML = new Date(2016, 11, 39, 12, 15);	//years ,months , days, hours, mins, secs and millisecs where first three are mandatory and rest are optional parameters


		//Display dates in a better way
		var d = new Date();
		document.getElementById("dateobject4").innerHTML = d.toUTCString();
		document.getElementById("dateobject5").innerHTML = d.toDateString();


		d = new Date("2016-03-25");
		document.getElementById("dateobject6").innerHTML = "More Date Formats";
		document.getElementById("dateobject7").innerHTML = d.toString();
		d = new Date("2016");
		document.getElementById("dateobject8").innerHTML = d.toString();
		d = new Date("2016-03-25T12:20:44");

		//short dates mm/dd/yyyy
		d = new Date("03/25/2016");
		document.getElementById("dateobject9").innerHTML = d.toString();

		//long dates
		/*
			Mar 25 2016
			25 Mar 2016
			25 March 2016
			25 MARCH 2016
			25, MARCH 2016
		*/
		d = new Date("Apr 24 2016");
		document.getElementById("dateobject10").innerHTML = d.toString();


		//Full date formats
		/*
			Thu Mar 24 2016 20:00:00 GMT-0400
		*/
		d = new Date("Thu Mar 24 2016 20:00:00 GMT-0400");	//errors in day and time will be autocorrected by JS
		document.getElementById("dateobject11").innerHTML = d.toString();
		
		//DATE METHODS
		console.log("==========Date Methods==========");
		d = new Date();
		console.log(d.toString());

		//get Methods
		console.log("Date : " + d.getDate());	//returns Date only
		console.log("Time : " + d.getTime());
		/*
			getDay() : returns Day like 1 for Monday
			getFullYear() : returns year in full form
			getHours() : returns hours
			we can also get minutes, millisecs etc.
			getTime() : returns Time in millisecs from the reference date i.e., Jan 01 1970
		*/

		//set methods
		console.log("----------Set Date----------");
		d.setDate(31);
		console.log(d.getDate());
		//there is no setDay() as day is auto selected
		//all others can be set
		d.setTime(1516708496765);
		console.log(d.getDate());

		//Parsing : In JS we can parse a date to millisecs
		var msec = Date.parse("Dec 31, 2016");
		console.log(msec);
		d.setTime(msec);
		console.log(d.toString());

		//Compare dates
		var today, someday, text;
		today = new Date();
		someday = new Date();
		someday.setFullYear(2020, 0, 10);

		//comparing date
		if(someday > today){
			console.log("Today is before January 10 2020");
		}
		else{
			console.log("Today is after January 10 2020");
		}
		//there are many other Date functions
	</script>
</body>
</html>